﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace BarChartSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            List<ChartData> data1 = new List<ChartData>();
            data1.Add(new ChartData { Title = "Jan", Value1 = 45, Value2 = 55 });
            data1.Add(new ChartData { Title = "Feb", Value1 = null, Value2 = 65 });
            data1.Add(new ChartData { Title = "Mar", Value1 = null, Value2 = 75 });
            data1.Add(new ChartData { Title = null, Value1 = null, Value2 = null });

            SeriesMapping series1 = new SeriesMapping();
            series1.SeriesDefinition = new HorizontalStackedBar100SeriesDefinition();
            series1.ItemMappings.Add(new ItemMapping("Title", DataPointMember.XCategory));
            series1.ItemMappings.Add(new ItemMapping("Value1", DataPointMember.YValue));

            SeriesMapping series2 = new SeriesMapping();
            series2.SeriesDefinition = new HorizontalStackedBar100SeriesDefinition();
            series2.ItemMappings.Add(new ItemMapping("Title", DataPointMember.XCategory));
            series2.ItemMappings.Add(new ItemMapping("Value2", DataPointMember.YValue));

            radChart1.DefaultView.ChartArea.Height = 320;
            radChart1.DefaultView.ChartLegend.Visibility = System.Windows.Visibility.Collapsed;
            radChart1.DefaultView.ChartArea.VerticalAlignment = System.Windows.VerticalAlignment.Top;
            radChart1.DefaultView.ChartArea.AxisX.AutoRange = false;
            radChart1.DefaultView.ChartArea.AxisX.AddRange(1, 4, 1);
            radChart1.DefaultView.ChartArea.AxisX.LabelStep = 4;
            radChart1.ItemsSource = data1;
            radChart1.SeriesMappings.Add(series1);

            radChart2.DefaultView.ChartArea.Height = 320;
            radChart2.DefaultView.ChartLegend.Visibility = System.Windows.Visibility.Collapsed;
            radChart2.DefaultView.ChartArea.VerticalAlignment = System.Windows.VerticalAlignment.Top;
            radChart2.DefaultView.ChartArea.AxisX.AutoRange = false;
            radChart2.DefaultView.ChartArea.AxisX.AddRange(1, 4, 1);
            radChart2.DefaultView.ChartArea.AxisX.LabelStep = 1;
            radChart2.ItemsSource = data1;
            radChart2.SeriesMappings.Add(series2);


            

            



        }

        public class ChartData
        {
            public string Title { get; set; }
            public double? Value1 { get; set; }
            public double? Value2 { get; set; }
            public double? Value3 { get; set; }
            public double? Value4 { get; set; }

        }
    }
}
